# SplitContainer

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [ScrollableControl](/api/v3.0/wisej.web/containers/scrollablecontrol.md)
    * [ContainerControl](/api/v3.0/wisej.web/containers/containercontrol.md)
      * [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md)

Represents a control consisting of a movable bar that divides a container's display area into two resizable panels.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SplitContainer : ContainerControl, ISupportInitialize
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SplitContainer
    Inherits ContainerControl
    Implements ISupportInitialize
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitContainer()

Initializes a new instance of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)BackgroundImage

[Image](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.image): Returns or sets the background image displayed in the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)BackgroundImageSource

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the background image displayed in the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)BindingContext

[BindingContext](/api/v3.0/wisej.web/data-binding/wisej.web.bindingcontext.md): Returns or sets the [BindingContext](/api/v3.0/wisej.web/data-binding/wisej.web.bindingcontext.md) for the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md).

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Returns or sets the style of border for the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md).

### ![](/files/uCY6T77rh488FWHzpJ6P)FixedPanel

[FixedPanel](/api/v3.0/wisej.web/containers/splitcontainer/wisej.web.fixedpanel.md): Returns or sets which [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md) panel remains the same size when the container is resized.

### ![](/files/uCY6T77rh488FWHzpJ6P)IsSplitterFixed

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the splitter is fixed or movable.

### ![](/files/uCY6T77rh488FWHzpJ6P)Orientation

[Orientation](/api/v3.0/wisej.web/enumerations/wisej.web.orientation.md): Returns or sets a value indicating the horizontal or vertical orientation of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md) panels.

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel1

[SplitterPanel](/api/v3.0/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md): Returns the left or top panel of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md), depending on [Orientation](#orientation).

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel1Collapsed

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value determining whether [Panel1](#panel1) is collapsed or expanded.

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel1MinSize

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the minimum distance in pixels of the splitter from the left or top edge of [Panel1](#panel1).

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The specified value is incompatible with the orientation.

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel2

[SplitterPanel](/api/v3.0/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md): Returns the right or bottom panel of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md), depending on [Orientation](#orientation).

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel2Collapsed

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value determining whether [Panel2](#panel2) is collapsed or expanded.

### ![](/files/uCY6T77rh488FWHzpJ6P)Panel2MinSize

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the minimum distance in pixels of the splitter from the right or bottom edge of [Panel2](#panel2).

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The specified value is incompatible with the orientation.

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitterDistance

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the location of the splitter, in pixels, from the left or top edge of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md).

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The value is less than zero.
* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The value is incompatible with the orientation.

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitterRectangle

[Rectangle](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.rectangle): Returns the size and location of the splitter relative to the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md).

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitterWidth

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the width of the splitter in pixels.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The value is less than one or is incompatible with the orientation.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)ResetSplitterWidth()

Resets the size of the splitter to the value set in the theme.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)OrientationChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of [Orientation](#orientation) changes.

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitterMoved

[SplitterEventHandler](/api/v3.0/wisej.web/containers/splitcontainer/wisej.web.splittereventhandler.md) Fired when the splitter control is moved.

### ![](/files/uCY6T77rh488FWHzpJ6P)SplitterMoving

[SplitterCancelEventHandler](/api/v3.0/wisej.web/containers/splitcontainer/wisej.web.splittercanceleventhandler.md) Fired when the splitter control is in the process of moving.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IContainerControl](/api/v3.0/wisej.web/interfaces/wisej.web.icontainercontrol.md)     | Provides the functionality for a control to act as a parent for other controls.                                            |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/splitcontainer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
